function [ab] = load_letter_learning_data( )
% return data with velocity column because that is how the rest of the code
% works.


    %% load some stuff of interest
    
    load('letterA');
    [atr, atr_mean] = fill_with_velocity(letterAtr);  % training data for A
    [ats, atest_mean] = fill_with_velocity(letterAtst); % test data for A
    clear letterAtr letterAtst

    
    %% observing A, predicting B
    % training data
    for k=1:length(atr.q)
        abtr.q{k,:} = [atr.q{k} ];
    end
    % testing data
    for k=1:length(ats.q)
        abts.q{k,:} = [ats.q{k} ];
    end
    abtr_mean   = [atr_mean    ];
    abtest_mean = [atest_mean  ];

    
    %% Preparing data output
    ab.tr = abtr;      
    ab.test = abts;
    ab.tr_mean   = abtr_mean;
    ab.test_mean = abtest_mean;
    
    
    
    
end


function [newltr, mean_] = fill_with_velocity(ltr)
% adding velocity as NaN values to keep the same format as previous code.
    
        
    for k=1:length(ltr.q)
        putVel =  [ltr.q{k}(:,1)   0.*ltr.q{k}(:,1)./0 ...
                   ltr.q{k}(:,2)   0.*ltr.q{k}(:,1)./0];
        tmp = putVel(2:end,:);
        
        % forcing sampling to 100 points
        xorig     = linspace(1, 100, size(tmp,1));
        xresample = linspace(1, 100);
        tmp2      = interp1(xorig, tmp, xresample );
        
        newltr.q{k,:} = tmp2;
    end

    
    me = zeros(size(newltr.q{1}));
    for k=1:length(newltr.q)
       me = me+ newltr.q{k};
    end
    mean_ = me./length(ltr.q);
    
    if 0
        figurew;
        for k=1:length(ltr.q)
            plot(newltr.q{k}(:,1), newltr.q{k}(:,3), SGRAY(0.5));
            plot(mean_(:,1), mean_(:,3), SRED(2));
        end
    end    
    
end

function [] = plot_dataVSsample(letterName, data, dataTest, plotTestData, saveplot)

    h = figurew([letterName ' training']);
    plotTrajectoryStatistics(data, [1:1:length(data.q{1})], 'b' , [1]);  
    plotTrajectoryStatistics(data, [1:1:length(data.q{1})], 'r' , [3]);
    title([letterName '. blue:X, red:Y gray: test']);
    if plotTestData
        for k=1:length(dataTest.q)
            plot(dataTest.q{k}, SGRAY(0.5) );
        end  
    end
    ylim([-0.2    1.2]);
    
    if saveplot
        plot2svg([letterName '_joint.svg'], h, 'png');
    end
    
end

function [] = plot_xy_letter(letterName, data, data_mean, saveplot)

    h = figurew([letterName ' letter']);
    for k=1:length(data.q)
        plot(data.q{k}(:,1), data.q{k}(:,3), SGRAY(2, 0.8));
    end  
    plot(data_mean(:,1), data_mean(:,3), SBLUE(2));
    axis([-0.2   1   -0.2  1]);
    
    if saveplot
        plot2svg([letterName '_cart.svg'], h, 'png');
    end
    
end



