function [obs] = plotObstacle(obs)

    nObs = numel(obs.verticesXYZ(:,1));
    
    radObs = obs.minDist;
    radBall = obs.ballRadius;
    
    
    if ~isfield(obs,'minDistPath')
        % Plotting for the first time when there is not path created.
        
        t = linspace(0,2*pi,50)';
        xObs = radObs*sin(t);
        yObs = radObs*cos(t);
        obs.minDistPath = [xObs yObs];

        xFull = (radBall+radObs)*sin(t);
        yFull = (radBall+radObs)*cos(t);
        obs.path = [xFull yFull];
    end
    
    for io=1:nObs
        hlines = plot3( obs.verticesXYZ(io,1)+obs.minDistPath(:,1),...
                        obs.verticesXYZ(io,2)+obs.minDistPath(:,2),...
                        obs.verticesXYZ(io,3)+obs.minDistPath(:,1), sty('k', [], 0.5, '--'));
        hlines(end+1) = plot3( obs.verticesXYZ(io,1)+obs.path(:,1),...
                        obs.verticesXYZ(io,2)+obs.path(:,2),...
                        obs.verticesXYZ(io,3)+obs.path(:,1), sty('k', [], 0.5, '-'));
                    
        obs.hlines(io,:) = hlines;
    end

end