function [W, Wones] = compute_matrix_of_averaging_weights_pmp( PMP )


    %n = numel(PMP.q(:,1));
    
    [n,n_rfs] = size(PMP.Psi);

    % weighting accelerates learning
    m = (PMP.t(end)+PMP.dt)/PMP.dt;
    N = (m:-1:1)';
    N = [N; ones(n-m,1)];

    % the final weighting vector takes the kernel activation into account
    W = (N*ones(1,n_rfs)).*PMP.Psi;
    
    
    % this is scaling the unormalized basis (each psi has height 1)
    % by the time step (this is a heuristic)
    for t =1:n 
        W2(t,:) = N(t).*PMP.Psi(t,:);
    end

    if sum(sum(abs(W-W2))) > 1e-9
        error
    else
        W = W2;
    end
    
    % ... and normalize each basis through time
    W = W./(ones(n,1)*sum(W,1));

    
    io = 1:ceil(n/2);
    iz = io(end)+1:n;
    
    
    Wones = [ones( numel(io), n_rfs ) ; zeros( numel(iz), n_rfs )];
    
    
    if 0
        figurew('fe')
        plot(   PMP.Psi  )

        figurew('fe')
        plot(   PMP.dmp(1).psi  )
        
        figurew('fe')
        plot(   W )
    end
    
end

