function covStomp = covarianceStomp( nTheta )
% Based on Doro's code.

    % Kernels from Fornberg1998 paper
    ker = [1 -2 1];
    % ker = [-1/12  4/3  -5/2  4/3  -1/12];
    % ker = [1/90 -3/20   3/2 -49/18   3/2  -3/20   1/90 ];
    A = createMatrixGivenKernel(ker, nTheta);
    
    covStomp = inv( (A')*A  );    
    
    if 0
        figurew('wer2')
        plot(covStomp);
    end
        
end


function A = createMatrixGivenKernel2(A_kernel, nSize)

    
    n_kernel = numel(A_kernel);
    
    nSize = nSize + (n_kernel-1);

    A=1;
    clc
    clear tmp_start tmp_full tmp2
    
    
    
    nSizeA   = nSize+(n_kernel-1);
    
    tmp = [A_kernel   zeros(1,nSizeA)];
    
    tmp2=[];
    for k=1:nSizeA
        tmp0 = [zeros(1,k-1) tmp(1:end-k+1)];
        tmp2 = [tmp2; tmp0];
    end
    
    tmp3 = tmp2(1:nSize, n_kernel:end);
    
    tmp4 = tmp3(1:20, 1:20);

    
    A = tmp4;

end



function A = createMatrixGivenKernel(A_kernel, nSize)

    
    n_kernel = numel(A_kernel);
    
    nSize = nSize + (n_kernel-1);

    A=1;
    clc
    clear tmp_start tmp_full tmp2
    
    
    
    nSizeA   = nSize+(n_kernel-1);
    
    tmp = [A_kernel   zeros(1,nSizeA)];
    
    tmp2=[];
    for k=1:nSizeA
        tmp0 = [zeros(1,k-1) tmp(1:end-k+1)];
        tmp2 = [tmp2; tmp0];
    end
    
    tmp3 = tmp2(1:nSize, n_kernel:end);
    
    % search for kernel as a column from the end of tmp3
    query = [zeros(1,nSize-n_kernel) A_kernel];
    
    
    
    nTmp3 = numel(tmp3(1,:) );
    
    k = nTmp3;
    while sum(abs(tmp3(:,k)'-query))~=0
        k=k-1;
    end
    
    tmp4 = tmp3(:, 1:k);
    
    size(tmp4)

    
    A = tmp4;

end


function A = createMatrixGivenKernelOriginal(A_kernel, nTheta)

    fac = 2;
    n   = nTheta + (fac);
    
    clear A;
    
    A(1,:)=[1 zeros(1,n-1-fac)];
    A(2,:)=[-2 1 zeros(1,n-2-fac)];
    A(3,:)=[A_kernel zeros(1,n-3-fac) ];

    for i=4:n-3
        A(i,:)=[zeros(1,i-3) A_kernel zeros(1,n-3-(i-3)-fac)];
    end

    A(n-2,:)=[zeros(1,n-3-fac),A_kernel];
    A(n-1,:)=[zeros(1,n-2-fac) 1 -2];
    A(n,:)=[zeros(1,n-1-fac) 1];
    
end
























