function [sys]   = reps_wrapper(sys, run_noisy, param)


    
    for j=1:run_noisy(1).n_dof

        for p = 1:numel(run_noisy)
            R(:,p) = -run_noisy(p).dof(j).costHistory;
            Theta(:,p) = run_noisy(p).dof(j).theta_eps';
        end
        J = cumsum(R);
        Jfinal = J(end,:)';        
        
        [mu, Cov] = updateREPS(Theta, Jfinal);
        
        
        % keep weights at extremities constant
        if param.reps.anchorInitial_nWeights
            idx = 1: param.reps.anchorInitial_nWeights;
            mu(idx) = sys.dof(j).wMean(idx,1);
        end
        if param.reps.anchorFinal_nWeights
            idx = ( numel(mu)-param.reps.anchorFinal_nWeights ):numel(mu);
            mu(idx) = sys.dof(j).wMean(idx,1);
        end
        
        sys.dof(j).wMean(:,end+1)   = mu;
        sys.dof(j).wCov(:,:,end+1)  = Cov;
        
    end

end

% 
%     function theta = reps_wrapper(theta, rollOutNoisy)
%     % theta = reps_wrapper(rollOutNoisy, sys, currentT)
% 
%         if 0
%             for p = 1:numel(rollOutNoisy)
%                 Cost(:,p)  = rollOutNoisy(p).ikSol.neResampled';
%                 Theta(:,p) = rollOutNoisy(p).theta_eps;
%             end
%             R = -Cost;
%             J = cumsum(R);
%             Jfinal = J(end,:)';
%         else
%             for p = 1:numel(rollOutNoisy)
%                 Cost(:,p)  = rollOutNoisy(p).ikSol.cost;
%                 Theta(:,p) = rollOutNoisy(p).theta_eps;
%             end
%             Jfinal = -Cost';    
%         end
% 
%         [out] = updateREPS(Theta, Jfinal);
% 
%         for ii=1:numel(theta)
%             if  theta(ii).active
%                 theta(ii).mu(:,:,end+1)  = out.mu;
%                 theta(ii).cov(:,:,end+1) = out.cov;
%             end
%         end
% 
%     end
%     
    